Package org.apache.ignite.spi.discovery

## Interface DiscoverySpiMBean

- All Known Subinterfaces:
    `TcpDiscoverySpiMBean`, `ZookeeperDiscoverySpiMBean`

      public interface DiscoverySpiMBean

  Generic MBean interface to monitor DiscoverySpi subsystem.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `excludeNode​(String nodeId)` | Exclude node from discovery.
    `@Nullable UUID` | `getCoordinator()` | Deprecated. Use `getCoordinatorNodeFormatted()` instead.
    `@Nullable String` | `getCoordinatorNodeFormatted()` | Gets current coordinator node formatted as a string.
    `String` | `getLocalNodeFormatted()` | Gets local node formatted as a string.
    `long` | `getNodesFailed()` | Gets failed nodes count.
    `long` | `getNodesJoined()` | Gets joined nodes count.
    `long` | `getNodesLeft()` | Gets left nodes count.
    `String` | `getSpiState()` | Gets current SPI state.

- - ### Method Detail

    - #### getSpiState

          @MXBeanDescription("SPI state.")
          String getSpiState()

      Gets current SPI state.
      Returns:
        Current SPI state.

    - #### getNodesJoined

          @MXBeanDescription("Nodes joined count.")
          long getNodesJoined()

      Gets joined nodes count.
      Returns:
        Nodes joined count.

    - #### getNodesFailed

          @MXBeanDescription("Nodes failed count.")
          long getNodesFailed()

      Gets failed nodes count.
      Returns:
        Failed nodes count.

    - #### getNodesLeft

          @MXBeanDescription("Nodes left count.")
          long getNodesLeft()

      Gets left nodes count.
      Returns:
        Left nodes count.

    - #### getCoordinator

          @Deprecated
          @MXBeanDescription("Coordinator node ID.")
          @Nullable
          @Nullable UUID getCoordinator()

      Deprecated.
      Use `getCoordinatorNodeFormatted()` instead.
      Gets current coordinator.
      Returns:
        Gets current coordinator.

    - #### getCoordinatorNodeFormatted

          @MXBeanDescription("Coordinator node formatted as a string.")
          @Nullable
          @Nullable String getCoordinatorNodeFormatted()

      Gets current coordinator node formatted as a string.
      Returns:
        Current coordinator string representation.

    - #### getLocalNodeFormatted

          @MXBeanDescription("Local node formatted as a string.")
          String getLocalNodeFormatted()

      Gets local node formatted as a string.
      Returns:
        Local node string representation.

    - #### excludeNode

          @MXBeanDescription("Exclude node from cluster.")
          void excludeNode​(String nodeId)

      Exclude node from discovery.
      Parameters:
        `nodeId` - Node id string.